#pragma once

#include "WinRegionObserver.h"
#include <iostream>
#include <fstream>

namespace wrm
{
    class CWinRegionObserver;
}

class CTestApplicationDlg : public CDialog, public wrm::IWinRegionObserver, public wrm::IErrorObserver
{
public:
	CTestApplicationDlg(CWnd* pParent = NULL);	// standard constructor
    
    enum { IDD = IDD_TESTAPPLICATION_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

private:
    void WinEventNotify(const _RGNDATA *data);
    void OnWinEventError(__in const char * msg);

private:
    std::auto_ptr<wrm::CWinRegionObserver> m_windowObserver;
    std::ofstream m_log;
};
